%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define glib2_version 2.2.3
%define atk_version 1.4.0
%define pango_version 1.2.5

# bin_version corresponds to GTK_BINARY_VERSION in configure.in
%define bin_version 2.*

Summary: 	The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Name:  		gtk2
Version: 	2.2.4
Release: 	1
License: 	LGPL
Group: 		System Environment/Libraries
Source: 	gtk+-%{version}.tar.bz2

Patch0:		gtk+-2.2.4-aix.patch
Patch1:		gtk+-2.2.4-autotools.patch


Prereq: libpng
Prereq: libtiff
Prereq: libjpeg

BuildPrereq: atk-devel >= %{atk_version}
BuildPrereq: pango-devel >= %{pango_version}
BuildPrereq: glib2-devel >= %{glib2_version}
BuildPrereq: libtiff-devel
BuildPrereq: libjpeg-devel
BuildPrereq: libpng-devel
#BuildPrereq: /usr/bin/automake-1.4

BuildRoot: %{_tmppath}/gtk2-%{version}-root

URL: http://www.gtk.org

# We need to prereq these so we can run gtk-query-immodules-2.0
Prereq: glib2 >= %{glib2_version}
Prereq: atk >= %{atk_version}
Prereq: pango >= %{pango_version}

%description
GTK+ is a multi-platform toolkit for creating graphical user
interfaces. Offering a complete set of widgets, GTK+ is suitable for
projects ranging from small one-off tools to complete application
suites.

%package devel
Summary: Development tools for GTK+ applications.
Group: Development/Libraries
Requires: gtk2 = %{version}
Requires: pango-devel >= %{pango_version}
Requires: atk-devel >= %{atk_version}
Requires: glib2-devel >= %{glib2_version}

%description devel
The gtk+-devel package contains the header files and developer
docs for the GTK+ widget toolkit.  

%prep
%setup -q -n gtk+-%{version}

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gtk+-2.2.4-aix.patch
$PATCH -p2 -s < %{_sourcedir}/gtk+-2.2.4-autotools.patch


%build
LDFLAGS="-L%{_libdir}" CPPFLAGS="-I%{_includedir}" PATH=%{_bindir}:$PATH \
./configure --prefix=%{_prefix} --disable-gtk-doc
PATH=%{_bindir}:$PATH make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}

# make links
cd %{buildroot}
for dir in bin lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

# Remove the binaries so that the relink can take place
rm -f modules/input/.libs/*.so.0

make DESTDIR=%{buildroot} install-strip

# Create the directory (empty)
mkdir -p %{buildroot}/%{_sysconfdir}/gtk-2.0/

%post
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules
%{_bindir}/gdk-pixbuf-query-loaders > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders

%files
%defattr(-, root, system)

%doc AUTHORS COPYING ChangeLog NEWS README
#%{_bindir}/testtext
#%{_bindir}/testgtk
%{_bindir}/gtk-demo
/usr/bin/gtk-demo
%{_bindir}/gtk-query-immodules-2.0
/usr/bin/gtk-query-immodules-2.0
%{_bindir}/gdk-pixbuf-query-loaders
/usr/bin/gdk-pixbuf-query-loaders
%{_libdir}/libgtk-x11-2.0.a
%{_libdir}/libgdk-x11-2.0.a
%{_libdir}/libgdk_pixbuf-2.0.a
%{_libdir}/libgdk_pixbuf_xlib-2.0.a
%dir %{_libdir}/gtk-2.0
%{_libdir}/gtk-2.0/%{bin_version}
%{_datadir}/gtk-2.0
%{_datadir}/themes/Default
%{_datadir}/themes/Emacs
# The theme 'Raleigh' is not installed on AIX
#%{_datadir}/themes/Raleigh
%dir %{_sysconfdir}/gtk-2.0/
%{_datadir}/locale/*/LC_MESSAGES/gtk20.mo

/usr/lib/lib*.a

%files devel
%defattr(-, root, system)

%dir %{_libdir}/gtk-2.0
%{_libdir}/gtk-2.0/include
%{_libdir}/*.la
%{_datadir}/gtk-doc/
%{_mandir}/man1/*
%{_includedir}/*
/usr/include/*
%{_datadir}/aclocal/*
%{_bindir}/gdk-pixbuf-csource
/usr/bin/gdk-pixbuf-csource
%{_libdir}/pkgconfig/*
%doc docs/tutorial
%doc examples
